Bug 9711 - OPACPopupAuthorsSearch ugly in CSSR
Summary: OPACPopupAuthorsSearch ugly in CSSR
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 5888
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 20:27 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
cssr and OPACPopupAuthorsSearch (107.01 KB, image/png)
2013-02-25 20:27 UTC, Nicole C. Engard
Details
prog and OPACPopupAuthorsSearch (84.45 KB, image/png)
2013-02-25 20:27 UTC, Nicole C. Engard
Details
Bug 9711: Add css style for OPACPopupAuthorsSearch (1.46 KB, patch)
2013-02-26 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9711: Add css style for OPACPopupAuthorsSearch (1.62 KB, patch)
2013-02-26 12:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 9711: Add css style for OPACPopupAuthorsSearch (2.07 KB, patch)
2013-03-14 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-02-25 20:27:04 UTC
Created attachment 15665 [details]
cssr and  OPACPopupAuthorsSearch

When you have  OPACPopupAuthorsSearch  set to show the checkboxes in CCSR it looks horrible - see attached.
Comment 1 Nicole C. Engard 2013-02-25 20:27:25 UTC
Created attachment 15666 [details]
prog and  OPACPopupAuthorsSearch

Looks good
Comment 2 Jonathan Druart 2013-02-26 09:54:31 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-02-26 12:43:29 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-06 07:26:01 UTC
It seems I can't get this to work with my data - no checkboxes appear.
Can I get some more information about the new pref and about the conditions for the checkboxes to appear?
Comment 5 Jonathan Druart 2013-03-06 08:38:55 UTC
(In reply to comment #4)
> It seems I can't get this to work with my data - no checkboxes appear.
> Can I get some more information about the new pref and about the conditions
> for the checkboxes to appear?

Katrin, you must have Additional authors and/or Subject(s) for your record. Checkboxes appear when clicking on one of them.
Comment 6 Katrin Fischer 2013-03-06 08:41:39 UTC
Hi Jonathan, I had checked records with more than one other shown in the by line - is there more to it? Which fields?
Comment 7 Jonathan Druart 2013-03-06 11:07:44 UTC
It is not the "by" line but the "Additional authors:" and "Subject(s):" lines.
Comment 8 Katrin Fischer 2013-03-14 09:12:01 UTC
I am sorry, I can't get this to feature to show up for me. If you want me to look at it again please provide a detailed step by step test plan and information on how the MARC record has to look like. 
I am removing myself as QA contact - maybe someone else has the right data to QA this.
Comment 9 Jonathan Druart 2013-03-14 10:07:04 UTC
Katrin,

The "additionnal authors" links are filled with the result of the C4::Biblio::GetMarcAuthors routine.
So for UNIMARC, with fields 700 to 712 (without $3 et $5) and for others MARC flavors fields are 700 to 720.
For subjects: UNIMARC 600 to 611 without $2, $3, $4, $5 ; others MARC flavors: 600 to 699 (without $2 for MARC21)
If you fill a least one of these fields, you should see the feature.

I can provide an export of one of my notices if you have an UNIMARC install.
Comment 10 Katrin Fischer 2013-03-14 13:58:17 UTC
Created attachment 16129 [details] [review]
[PASSED QA] Bug 9711: Add css style for OPACPopupAuthorsSearch

Bug 5888 introduces a new syspref OPACPopupAuthorsSearch. If enabled, a
popup is displayed on the OPAC detail page.
This development does not add the css for the ccsr theme.

Test plan:
Enable the OPACPopupAuthorsSearch.
Check that the appearance is the same of prog and ccsr themes.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Tested on several authorities (authors, subjects, etc)
works as expected

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Test plan:
1) Switch to CCSR theme
2) Turn off XSLT views (leaving prefs empty)
3) Turn on OPACPopupAuthorsSearch
> Confirm layout is ok/broken in OPAC
4) Switch back to prog theme
> Confirm layout is ok/broken in OPAC
5) Switch off OPACPopupAuthorsSearch
> Confirm layout is ok/broken in OPAC
6) Switch back to CCSR
> Confirm layout is ok/broken in OPAC

Done.

Note: Feature only works with normal view (no XSLT)
Comment 11 Jared Camins-Esakov 2013-03-15 22:51:25 UTC
This patch has been pushed to master.